Subject: Re: linux-next: manual merge of the scsi tree with the block tree

From: James Bottomley <[email-masked]>
Date: Tue, 08 Nov 2016 08:17:58 -0800

On Tue, 2016-11-08 at 16:48 +1100, Stephen Rothwell wrote:
> Hi James,
> 
> Today's linux-next merge of the scsi tree got a conflict in:
> 
>   drivers/scsi/ufs/ufshcd.c
> 
> between commit:
> 
>   e806402130c9 ("block: split out request-only flags into a new
> namespace")
> 
> from the block tree and commit:
> 
>   2266d5678ad1 ("scsi: ufs: fix sense buffer size to 18 bytes")
> 
> from the scsi tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your 
> tree is submitted for merging.  You may also want to consider 
> cooperating with the maintainer of the conflicting tree to minimise 
> any particularly complex conflicts.

Thanks for doing this.  I think this is exactly the type of easily
resolvable conflict Linus likes to fix himself, so keeping the trees
separate seems the best options.

Regards,

James